package com.spring.infra.security.error;

import com.spring.common.error.ErrorResponse;

public class SecurityErrorResponse extends ErrorResponse {

    protected SecurityErrorResponse(SecurityExceptionRule exceptionRule) {
        super(exceptionRule);
    }

    public static SecurityErrorResponse valueOf(SecurityExceptionRule securityExceptionRule) {
        return new SecurityErrorResponse(securityExceptionRule);
    }
    
}
